Bug 1510993 (CVE-2017-1000232) - CVE-2017-1000232 ldns: Memory corruption in ldns_str2rdf_long_str
Summary: CVE-2017-1000232 ldns: Memory corruption in ldns_str2rdf_long_str
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-1000232
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1511046
Blocks: 1510999
TreeView+ depends on / blocked
 
Reported: 2017-11-08 13:50 UTC by Adam Mariš
Modified: 2019-09-29 14:25 UTC (History)
3 users (show)

Fixed In Version: ldns 1.7.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-09 09:23:05 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-11-08 13:50:03 UTC
A memory corruption via double free was found in ldns_str2rdf_long_str() function.

Upstream bug:

https://www.nlnetlabs.nl/bugs-script/show_bug.cgi?id=1257

Upstream patch:

https://git.nlnetlabs.nl/ldns/commit/?id=3bdeed02

Comment 1 Adam Mariš 2017-11-08 15:33:03 UTC
Created ldns tracking bugs for this issue:

Affects: fedora-all [bug 1511046]

Comment 2 Stefan Cornelius 2017-11-09 09:06:40 UTC
ldns_str2rdf_long_str() was introduced via https://git.nlnetlabs.nl/ldns/commit/str2host.c?id=070b4595981f48a21cc6b4f5047fdc2d09d3da91

Comment 3 Stefan Cornelius 2017-11-09 09:23:12 UTC
Statement:

This issue did not affect the versions of ldns as shipped with Red Hat Enterprise Linux 6 and 7.


Note You need to log in before you can comment on or make changes to this bug.